Bug 401171 - ypserv does not serve updated maps after make
ypserv does not serve updated maps after make
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ypserv (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Karel Klíč
Depends On:
  Show dependency treegraph
Reported: 2007-11-27 10:55 EST by Gerben Roest
Modified: 2013-03-03 17:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-02-22 09:54:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gerben Roest 2007-11-27 10:55:45 EST
Description of problem:

ypserv doesn't serve updated maps after make

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1. add user john
2. cd /var/yp;make
3. ypmatch john passwd
Actual results:

Can't match key john in map passwd.byname. Reason: No such key in map

Expected results:


Additional info:

It only works after /etc/init.d/ypserv stop; /etc/init.d/ypserv start
Comment 1 Vitezslav Crhonek 2008-08-26 07:06:41 EDT
Sorry for late response, there was maintainer change.

You have probably something overlooked, because I'm not able to reproduce it. Do you have set right domainname on server, when updating maps? (It's not checked by /var/yp/Makefile.)

Do you have only one NIS master server or do you use slave servers? Is 'ypmatch john passwd' is executed on NIS client with correct NIS domainname set?

Please give me more details.
Comment 2 Ondrej Vasik 2011-02-22 09:54:50 EST
In needinfo for more than 2 years and not reproducible on our machines - closing INSUFFICIENT_DATA. Feel free to provide more details about the system - but please do so only if you experience the issue with RHEL-5 or later and move that bugzilla there. RHEL-4.9 is now out and RHEL-4 updates now do contain only critical and security fixes.

Note You need to log in before you can comment on or make changes to this bug.